// =========================================================================
// ======================== fog ============================================
// =========================================================================

textures/trains/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	fogparms ( 0.45 0.45 0.45 ) 3000
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

// =========================================================================
// ======================= terrain =========================================
// =========================================================================

textures/trains/ter_snowfloor4
{
        qer_editorimage textures/stone/mxsnow2
	
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 130
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.2 )
	{
		map textures/stone/mxsnow2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/trains/mxrock3h_snow_alphatest.tga		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/trains/cave_floor_trains
{
	surfaceparm landmine
	surfaceparm gravelsteps
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/stone/mxrock1aa.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock1aa.tga
		blendFunc filter
	}
}


textures/trains/snow_path01_trains
{
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm snowsteps
	{
		map textures/snow_sd/snow_path01.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 1 1
		detail
	}
}


// ===========================================================
// ======================= cable for lift ====================
// ===========================================================

textures/trains/cable_down
{
	qer_editorimage textures/props/cable_m01.tga
	surfaceparm metalsteps
	{
		map textures/props/cable_m01.tga
		rgbGen vertex
		tcMod scroll 0 -0.5
	}
}

textures/trains/cable_up
{
	qer_editorimage textures/props/cable_m01.tga
	surfaceparm metalsteps
	{
		map textures/props/cable_m01.tga
		rgbGen vertex
		tcMod scroll 0 0.5
	}
}

// ========================================================
// ======================= fan ============================
// ========================================================

textures/trains/fan_fast
{
	qer_editorimage textures/sfx/fan.tga
	cull none
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	{
		clampmap textures/sfx/fan.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		tcMod rotate 512
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

// banner textures and shaders all from frostbite
textures/trains/banner
{
	surfaceparm nomarks // added
	qer_editorimage textures/trains/banner.tga
	q3map_bounceScale 0.2

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/trains/banner.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

textures/trains/banner_small
{
	surfaceparm nomarks // added
	qer_editorimage textures/trains/banner_small.tga
	q3map_bounceScale 0.5

	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/trains/banner_small.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}

// alpha shader 

textures/trains/arrow
{
	//qer_trans 0.85
	qer_editorimage textures/trains/sign_arrow.tga
	cull disable
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask textures/trains/sign_arrow.tga
}


textures/trains/arrow_up
{
	//qer_trans 0.85
	qer_editorimage textures/trains/sign_arrow_up.tga
	cull disable
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask textures/trains/sign_arrow_up.tga
}


// limbo 


gfx/limbo/cm_my_generator
{
	nopicmip
	nocompress
	nomipmaps
	{
		map gfx/limbo/cm_my_generator.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
	}
}
